import request from '@/utils/request'

// 查询用户状态列表
export function listUserStatus(query) {
  return request({
    url: '/xq/userStatus/list',
    method: 'get',
    params: query
  })
}

// 查询用户状态详细
export function getUserStatus(id) {
  return request({
    url: '/xq/userStatus/' + id,
    method: 'get'
  })
}

// 新增用户状态
export function addUserStatus(data) {
  return request({
    url: '/xq/userStatus',
    method: 'post',
    data: data
  })
}

// 修改用户状态
export function updateUserStatus(data) {
  return request({
    url: '/xq/userStatus',
    method: 'put',
    data: data
  })
}

// 删除用户状态
export function delUserStatus(id) {
  return request({
    url: '/xq/userStatus/' + id,
    method: 'delete'
  })
}
